Bug 92115 - UI glitch on combo boxes after removing keybard focus (KDE-specific)
Summary: UI glitch on combo boxes after removing keybard focus (KDE-specific)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium minor
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: needsKDE target:5.1.0 target:5.0.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-16 13:43 UTC by Katarina Behrens (CIB)
Modified: 2016-10-25 19:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
.odg file demonstrating the issue (57.93 KB, application/vnd.oasis.opendocument.graphics)
2015-06-16 13:44 UTC, Katarina Behrens (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (CIB) 2015-06-16 13:43:35 UTC
To reproduce this, you need KDE4 vcl plugin. Just running KDE4 desktop is not enough, it might still use Gtk vcl plugin to render UI. If needed, start LibO like this:

SAL_USE_VCLPLUGIN=kde4 ./soffice 

In general, any combo box doesn't bounce back into its original shape after it has been "visited' i.e. keyboard focus has been removed from it or the user clicked elsewhere with the mouse.

To demonstrate, 
1. Open e.g. empty Writer document, then Format -> Paragraph -> Outline and Numbering tab (but any dialog with multiple combo boxes will do)

=> now Outline level combo box has keyboard focus

2. Press Tab to move focus to Numbering style combo box, or simply click somewhere else in the dialog

=> funny rendering artifact appears on the right edge of Outline level combo box (where the dropdown arrow is)

See also attached .odg w/ screenshots
Comment 1 Katarina Behrens (CIB) 2015-06-16 13:44:45 UTC
Created attachment 116583 [details]
.odg file demonstrating the issue
Comment 2 Buovjaga 2015-06-18 05:19:37 UTC
Built with Katarina's build options, on Kubuntu 15.04 64-bit with Plasma 5, the artifacts are a bit different. Mostly seen after visiting the Numbering style - an extra border appears inside the dropdown.

Version: 5.1.0.0.alpha1+
Build ID: 40dbc52755a905b4437d861360d3b8069d5b53b1
Locale: en-US (en_US.UTF-8)
Comment 3 Commit Notification 2015-07-09 17:24:41 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57792314c7b05f71c66834ee47bfaa09003df765

tdf#92115 KDE4: better listbox theming

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-07-09 19:51:29 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=073936d374ded0e2374b4146ec32cb30149ba35e&h=libreoffice-5-0

tdf#92115 KDE4: better listbox theming

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Katarina Behrens (CIB) 2015-10-01 07:36:24 UTC
This is very much fixed ..